#!/bin/bash

set -e

echo "FIXPYTHON: begin fixing _sysconfig"

blddir=${1}
prefix=${2}

echo "FIXPYTHON: blddir is ${blddir}"
echo "FIXPYTHON: prefix is ${prefix}"

sysconfig=`find ${blddir} -name '_sysconfigdata*.py'`
echo "FIXPYTHON: found ${sysconfig}"

configreldir=`dirname ${sysconfig}`
configdir=`cd ${configreldir} && /bin/pwd`
echo "FIXPYTHON: configdir ${configdir}"
configname=`basename ${sysconfig}`

blddir_suffix=${blddir#${blddir%/build/*}}

set -x
cd "${configdir}"
mv "${configname}" "${configname}.bak"
cat "${configname}.bak" \
   | sed -e '/^build_time_vars/i\
from os import environ as env\
this_python_root=env["PYTHON_ROOT"]\
this_python_dir=env["PYTHON_DIR"]\
this_sqlite_fq_dir=env["SQLITE_FQ_DIR"]\
' \
   -e /\'CONFIG_ARGS\':/s%${prefix}%\"\+this_python_root\+\"%g \
   -e /\'CONFIG_ARGS\':/s%${SQLITE_FQ_DIR}%\"\+this_sqlite_fq_dir\+\"%g \
   -e s%\'${prefix}\'%this_python_root%g \
   -e s%\'${prefix}%this_python_root\+\'%g \
   -e s%${prefix}%\'\+this_python_root\+\'%g \
   -e s%\'${PYTHON_DIR}/src%this_python_dir\+\'/src%g \
   -e s%${PYTHON_DIR}/src%\'\+this_python_dir\+\'/src%g \
   -e s%-L${SQLITE_FQ_DIR}%-L\'\+this_sqlite_fq_dir\+\'%g \
   -e s%${SQLITE_FQ_DIR}%\'\+this_sqlite_fq_dir\+\'%g \
   -e s%\'${blddir}%this_python_dir\+\'${blddir_suffix}%g \
   -e 's%\([=:]\)'${blddir}%'\1'\'\+this_python_dir\+\'${blddir_suffix}%g \
   -e 's%^\([ 	]\{1,\}\)this_%\1+this_%g' \
   > "${configname}" && \
  rm -f "${configname}.bak"
exit $?
