# This script should not have a shebang line, because we want explicit
# control of the Python interpreter used to execute it.

# Useful web pages about changes in python3
# http://www.diveintopython3.net/porting-code-to-python-3-with-2to3.html
# http://python3porting.com/

# We need the sys library to be able to return our error code
from sys import exit
# We need the os library to manipulate filenames.
import os

dirname = os.path.dirname(os.path.realpath(__file__))
textfile = os.path.join(dirname, "python-standard-modules.txt")
modules = open(textfile).readlines()

import importlib

failures = 0
for m in modules:
    # Strip anything after a comment marker
    m = m[0:m.find("#")]
    if (m == ""):
        continue  # ignore blank lines
    try:
        __import__(m, globals(), locals(), [], 0)
    except  ImportError:
        print ("Failed to import %s" % m)
        failures += 1

exit(failures)

